Change a member's role
post
https://api.expiryedge.com/v1/updateUserRoleadmin60/minJede Methode
Anfrage
curl -X POST 'https://api.expiryedge.com/v1/updateUserRole' \
-H "Authorization: Bearer $EXPIRYEDGE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"userId": "u_9Pq2Lm",
"role": "editor"
}'Antwort
{
"message": "User role updated successfully",
"userId": "u_9Pq2Lm",
"role": "editor"
}The target user must be in the caller's organization. Also updates the user's team memberships (admin or member).
userIdstringerforderlichrolestringerforderlichCase-insensitive.Erlaubtadmineditorviewer
200
Role updated.
messagestringerforderlichuserIdstringerforderlichrolestringerforderlichErlaubtadmineditorviewer
400 | The request is missing required fields or contains invalid values. |
401 | Missing, expired or invalid bearer token. |
403 | Authenticated, but your role or organization does not allow this action. |
404 | The record does not exist or is not in your organization. |
429 | Too many requests for this endpoint from your IP. Wait Retry-After seconds. |
